//
//  AppDelegate.m
//  BaiduMapSDKDemo
//
//  Created by baidu on 2020/5/26.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "AppDelegate.h"
#import "BMKNavigationController.h"
#import "BMKCataloguePage.h"
#define kBMKKey @"KaGkgwzWYXydmKmcTRzxzMhQjD7xUd4m"
@interface AppDelegate () <BMKGeneralDelegate>

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    //状态栏设置为白色
    [[UIApplication sharedApplication] setStatusBarStyle:UIStatusBarStyleLightContent];
    
    //初始化百度地图引擎，设置AK并设置delegate
    BOOL result = [[BMKMapManager sharedInstance] start:kBMKKey generalDelegate:self];
    if (!result) {
        NSLog(@"启动引擎失败");
    }

    BMKCataloguePage *mainController = [[BMKCataloguePage alloc] init];
    BMKNavigationController *navigationController = [[BMKNavigationController alloc] initWithRootViewController:mainController];
    self.window = [[UIWindow alloc] initWithFrame:UIScreen.mainScreen.bounds];
    self.window.rootViewController = navigationController;
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    return YES;
}

/**
 联网结果回调

 @param iError 联网结果错误码信息，0代表联网成功
 */
- (void)onGetNetworkState:(int)iError {
    if (0 == iError) {
        NSLog(@"联网成功");
    } else {
        NSLog(@"联网失败：%d", iError);
    }
}

/**
 鉴权结果回调

 @param iError 鉴权结果错误码信息，0代表鉴权成功
 */
- (void)onGetPermissionState:(int)iError {
    if (0 == iError) {
        NSLog(@"授权成功");
    } else {
        NSLog(@"授权失败：%d", iError);
    }
}
@end
